package com.chenyang.nse.bussiness.tools.xml.xmlclass.product;

public class logEvent {
   private String serviceType;
   private String severity;
   private String stacktrace;
   private String service;
   private String context;
   private String messageCode;
   private String pid;
   private String message;
   private String user;
   private String clientNode;
   private String threadName;
   private String timestamp;

   public String getServiceType() {
      return this.serviceType;
   }

   public void setServiceType(String serviceType) {
      this.serviceType = serviceType;
   }

   public String getSeverity() {
      return this.severity;
   }

   public void setSeverity(String severity) {
      this.severity = severity;
   }

   public String getStacktrace() {
      return this.stacktrace;
   }

   public void setStacktrace(String stacktrace) {
      this.stacktrace = stacktrace;
   }

   public String getService() {
      return this.service;
   }

   public void setService(String service) {
      this.service = service;
   }

   public String getContext() {
      return this.context;
   }

   public void setContext(String context) {
      this.context = context;
   }

   public String getMessageCode() {
      return this.messageCode;
   }

   public void setMessageCode(String messageCode) {
      this.messageCode = messageCode;
   }

   public String getPid() {
      return this.pid;
   }

   public void setPid(String pid) {
      this.pid = pid;
   }

   public String getMessage() {
      return this.message;
   }

   public void setMessage(String message) {
      this.message = message;
   }

   public String getUser() {
      return this.user;
   }

   public void setUser(String user) {
      this.user = user;
   }

   public String getClientNode() {
      return this.clientNode;
   }

   public void setClientNode(String clientNode) {
      this.clientNode = clientNode;
   }

   public String getThreadName() {
      return this.threadName;
   }

   public void setThreadName(String threadName) {
      this.threadName = threadName;
   }

   public String getTimestamp() {
      return this.timestamp;
   }

   public void setTimestamp(String timestamp) {
      this.timestamp = timestamp;
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.serviceType == null ? 0 : this.serviceType.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         logEvent other = (logEvent)obj;
         if (this.serviceType == null) {
            if (other.serviceType != null) {
               return false;
            }
         } else if (!this.serviceType.equals(other.serviceType)) {
            return false;
         }

         return true;
      }
   }
}
